### Method

# Adw ToastOverlayadd_toast

#### Declaration [src]

    void
    adw_toast_overlay_add_toast (
      AdwToastOverlay* self,
      AdwToast* toast
    )

#### Description [src]

Displays `toast`.

Only one toast can be shown at a time; if a toast is already being displayed, either `toast` or the original toast will be placed in a queue, depending on the priority of `toast`. See `AdwToast:priority`.

If called on a toast that’s already displayed, its timeout will be reset.

If called on a toast currently in the queue, the toast will be bumped forward to be shown as soon as possible.

#### Parameters

`toast`

  Type: `AdwToast`

  A toast.

  The instance takes ownership of the data, and is responsible for freeing it.